GCOMP(1)

NAME
gcomp - do computations on a graph file.

SYNOPSIS
gcomp [ -amilh ][ +variable value .. ][ file .. ]

DESCRIPTION
Gcomp reads each graph file in sequence and computes the specified calculations. The type options are as follows:

-n  Print the name of each curve.

-a  Print average and standard deviation of each curve.

-m  Print minimum and maximum for each curve.

-i  Print Romberg's approximation to the integral of each curve.

-l  Print the slope, intercept, and correlation coefficient using the least squares method of linear regression.

-h  Do not print a header in the output.

The calculations will be displayed as columns in the order they are specified on the command line. If no files are given, the standard input is read.

Variables can be set explicitly with +variable value options. The only truely useful variables for this program are xmin and xmax. They determine boundaries for the calculations.

EXAMPLE
To compute the approximate integral of sin(x)/log(x) from 2 to 4:
	gcomp -i
	A(x)=sin(x)/log(x);
	Anpoints=100;
	xmin=2;
	xmax=4;
	^D

AUTHOR
Greg Ward

BUGS
Only the y values can be used for computation.

SEE ALSO
bgraph(1), dgraph(1), icalc(1), igraph(1)